<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__gpio__enums" kind="group">
    <compoundname>group_gpio_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__gpio__enums_1ga678dc02e490d04efdcfec78648899ce4" kind="enum" prot="public" static="no">
        <name>en_hsiom_sel_t</name>
        <briefdescription>
<para><bold>en_hsiom_sel_t: </bold><linebreak />The enumerated type representing the High-Speed Input Output Multiplexer (HSIOM) selection of the pin. These connection options are device-dependent. Refer to a device-specific gpio header file, e.g. &lt;PDL_DIR&gt;/devices/include/gpio_psoc6_01_116_bga_ble.h for the supported HSIOM options. The default connection option is software (CPU) pin control.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="12" bodyfile="mainpage/en_hsiom_sel_type.h" bodystart="12" column="1" file="mainpage/en_hsiom_sel_type.h" line="12" />
      </memberdef>
      <memberdef id="group__group__gpio__enums_1ga0ba12c6f18fa9e356ceea0218beb7259" kind="enum" prot="public" static="no">
        <name>cy_en_gpio_status_t</name>
        <enumvalue id="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259ac12fe3dac92e654617ce1a0cda34c0b0" prot="public">
          <name>CY_GPIO_SUCCESS</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Returned successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259aae4105d35a3e7596ab55977a283b474b" prot="public">
          <name>CY_GPIO_BAD_PARAM</name>
          <initializer>= CY_GPIO_ID | CY_PDL_STATUS_ERROR | 0x01U</initializer>
          <briefdescription>
<para>Bad parameter was passed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_gpio_status_t: </bold><linebreak />GPIO Driver error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="217" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="213" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="214" />
      </memberdef>
      <memberdef id="group__group__gpio__enums_1gaf794ce2cae36756be0cccfcd2c6ab077" kind="enum" prot="public" static="no">
        <name>cy_en_gpio_amuxconnect_t</name>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077ae471310e5630cb13939ab1ce5f4c99a4" prot="public">
          <name>CY_GPIO_AMUX_OPENALL</name>
          <briefdescription>
<para>Open ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Open right switch. Open left switch </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077ab716fb1512ff18b06b1da6f61eb7d510" prot="public">
          <name>CY_GPIO_AMUX_L</name>
          <briefdescription>
<para>Open ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Open right switch. Close left switch </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077a8e140ca3444f5f77ab26a2fa105488b1" prot="public">
          <name>CY_GPIO_AMUX_R</name>
          <briefdescription>
<para>Open ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Close right switch. Open left switch </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077a92afa442968d2c88e47080abe46e2bbb" prot="public">
          <name>CY_GPIO_AMUX_LR</name>
          <briefdescription>
<para>Open ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Close right switch. Close left switch </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077a6247ecde08ab81cf1bb44865c48a20e6" prot="public">
          <name>CY_GPIO_AMUX_G</name>
          <briefdescription>
<para>Close ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Open right switch. Open left switch </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077a033a1ba40e00a4fad4b5680497b452a5" prot="public">
          <name>CY_GPIO_AMUX_GL</name>
          <briefdescription>
<para>Close ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Open right switch. Close left switch </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077aefe28b40c0228dd6ded7cd45f5b78c30" prot="public">
          <name>CY_GPIO_AMUX_GR</name>
          <briefdescription>
<para>Close ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Close right switch. Open left switch </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggaf794ce2cae36756be0cccfcd2c6ab077a1e53eb605423b8a479f71bdc71c060f2" prot="public">
          <name>CY_GPIO_AMUX_GLR</name>
          <briefdescription>
<para>Close ground switch. </para>          </briefdescription>
          <detaileddescription>
<para>Close right switch. Close left switch </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_gpio_amuxconnect_t: </bold><linebreak />AMux switch open/close config.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="230" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="220" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="221" />
      </memberdef>
      <memberdef id="group__group__gpio__enums_1gae2449cca47330934a26281d8f3cba110" kind="enum" prot="public" static="no">
        <name>cy_en_gpio_amuxselect_t</name>
        <enumvalue id="group__group__gpio__enums_1ggae2449cca47330934a26281d8f3cba110a247e7e587ee20b9d878ea0deb58d8b71" prot="public">
          <name>CY_GPIO_AMUXBUSA</name>
          <briefdescription>
<para>AMuxBus A. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__gpio__enums_1ggae2449cca47330934a26281d8f3cba110abb3e9d215c8af4ed0b07feef90abc90f" prot="public">
          <name>CY_GPIO_AMUXBUSB</name>
          <briefdescription>
<para>AMuxBus B. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_gpio_amuxselect_t: </bold><linebreak />AMux Bus selection.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="239" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" bodystart="235" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_gpio.h" line="236" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>